---
title: "Bayut API: Agency | Perceptlayer"
description: "Agency from Bayut as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/bayut/agency
---

[APIs](https://perceptlayer.com/apis) / [Bayut](https://perceptlayer.com/apis/bayut) / Agency

# Bayut: Agency

Agency from Bayut as JSON. 1 credit per successful call.

GET `/v1/bayut/agency`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `query` | string | Optional | Up to 200 characters |
| `external_id` | string | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/bayut/agency?external_id=6168" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/bayut?try=agency#playground) with your own parameters. 1 credit per successful call; failed calls are free.
